summaryrefslogtreecommitdiffstats
path: root/network/opensm/opensm.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/opensm/opensm.SlackBuild')
-rw-r--r--network/opensm/opensm.SlackBuild13
1 files changed, 7 insertions, 6 deletions
diff --git a/network/opensm/opensm.SlackBuild b/network/opensm/opensm.SlackBuild
index 0edc0e550d..2b51a9254e 100644
--- a/network/opensm/opensm.SlackBuild
+++ b/network/opensm/opensm.SlackBuild
@@ -25,8 +25,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=opensm
-VERSION=${VERSION:-3.3.22}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-3.3.24}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -38,9 +38,6 @@ if [ -z "$ARCH" ]; then
esac
fi
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -66,13 +63,17 @@ fi
METIS=${METIS:-no}
WITH_METIS=
-if [ "$METIS" != no ]; then
+if [ "`echo $METIS | tr 'a-z' 'A-Z'`" = YES ]; then
for inc_dir in /usr/include/metis /usr/include/suitesparse; do
if [ -e $inc_dir/metis.h ]; then
WITH_METIS="--with-metis --with-metis-includes=$inc_dir"
break
fi
done
+ if [ -z "$WITH_METIS" ]; then
+ echo "Error: metis enabled but headers not found."
+ exit 1
+ fi
fi
set -e